Subject: Re: [PATCH net-next] bonding: add software timestamping support

From: Hangbin Liu <[email-masked]>
Date: Wed, 5 Apr 2023 17:04:20 +0800

On Mon, Apr 03, 2023 at 12:18:03PM +0200, Miroslav Lichvar wrote:
> > Oh.. I thought it's a software timestamp and all driver's should support it.
> > I didn't expect that Infiniband doesn't support it. Based on this, it seems
> > we can't even assume that all Ethernet drivers will support it, since a
> > private driver may also not call skb_tx_timestamp() during transmit. Even if
> > we check the slaves during ioctl call, we can't expect a later-joined slave
> > to have SW TX timestamp support. It seems that we'll have to drop this feature."
> 
> I'd not see that as a problem. At the time of the ioctl call the
> information is valid. I think knowing that some timestamps will be
> missing due to an interface not supporting the feature is a different
> case than the admin later adding a new interface to the bond and
> breaking the condition. The application likely already have some
> expectations after it starts and configures timestamping, e.g. that
> the RX filter is not changed or TX timestamping disabled.

Thanks, this makes sense to me. I will try this way and post the new patch.

Hangbin